<?php $__env->startSection('content'); ?>
   
<!DOCTYPE html>
<html lang=”en”>
<header>
    <meta charset=”UTF-8”>
    <meta name=”viewport” content=”width=device-width, initial-scale=1.0”>
    <meta http-equiv=”X-UA-Compatible” content=”ie=edge”>
    <title>Order Cancelation</title>
    
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <link  rel="stylesheet"  href="https://unpkg.com/@shopify/polaris@5.12.0/dist/styles.css"/>

    <style>
        .pageHeading {
            margin: 2%;
        }
        .containerData {
            margin: 2%;
            padding: 2%;
        }
        .container {
            background: #fff;
            /* padding: 4%; */
            margin: 2%;
        }
        .rowNew {
            padding: 1% 0 1% 1%;
            width:50%;
        }
        .emailValidationError {
            display: none;
        }
        .commonErrorMessage {
            display: none;
            font-size: 20px;
            margin-top: 15px;
        }
        .successMessage {
            display: none;
            color: #138213;
            font-size: 20px;
            margin-top: 15px;
        }
        .hashValidationError, .orderValidationError, .allValidationError, .commentsValidationError {
            display: none;
        }
        .hiddenDev {
            display: none;
        }
        .overlay {
            left: 0;
            top: 0;
            width: 100%;
            height: 100%;
            position: fixed;
            background: #030405;
            opacity: 0.3;
            z-index: 999;
            display: none;
        }

        .overlay__inner {
            left: 0;
            top: 0;
            width: 100%;
            height: 100%;
            position: absolute;
        }

        .overlay__content {
            left: 50%;
            position: absolute;
            top: 50%;
            transform: translate(-50%, -50%);
        }

        .spinner {
            width: 75px;
            height: 75px;
            display: inline-block;
            border-width: 2px;
            border-color: rgba(255, 255, 255, 0.05);
            border-top-color: #ffffff;
            animation: spin 1s infinite linear;
            border-radius: 100%;
            border-style: solid;
        }

        @keyframes  spin {
            100% {
                transform: rotate(360deg);
            }
        }
        @keyframes  lds-ring {
          0% {
            transform: rotate(0deg);
          }
          100% {
            transform: rotate(360deg);
          }
        }
        @media  screen and (max-width: 768px) {
          .inputContainer{
             width: 100%;
           }
        }
    </style>
</header>

<body>
<div class="pageHeading">
    <div>
        <h4 class="Polaris-DisplayText Polaris-DisplayText--sizeSmall"><b>Order Cancelation</b></h4>
    </div>
</div>

<div class="overlay">
    <div class="overlay__inner">
        <div class="overlay__content"><span class="spinner"></span></div>
    </div>
</div>

<?php
    $hashValue = '';
    $orderId = '';
    $hashValue = !empty($returnData['endpointRequest']['hash']) ? $returnData['endpointRequest']['hash'] : '';
    $orderId = !empty($returnData['endpointRequest']['orderId']) ? $returnData['endpointRequest']['orderId'] : '';
?>
<div class="container">
    <div class="containerData">

        <div class="rowNew hiddenDev">
            <div class="">
                <div class="Polaris-Labelled__LabelWrapper">
                <div class="Polaris-Label"><label id="PolarisTextField2Label" for="PolarisTextField2" class="Polaris-Label__Text">Customer Hash</label></div>
                </div>
                <div class="Polaris-Connected">
                <div class="Polaris-Connected__Item Polaris-Connected__Item--primary">
                    <div class="Polaris-TextField Polaris-TextField--hasValue"><input id="customer_hash" value="<?php echo $hashValue; ?>" class="Polaris-TextField__Input" aria-labelledby="PolarisTextField2Label" aria-invalid="false">
                    <div class="Polaris-TextField__Backdrop"></div>
                </div>

                <div class="hashValidationError">
                    <div class="Polaris-Labelled__Error">
                        <div id="PolarisTextField12Error" class="Polaris-InlineError">
                            <div class="Polaris-InlineError__Icon"><span class="Polaris-Icon"><svg viewBox="0 0 20 20" class="Polaris-Icon__Svg" focusable="false" aria-hidden="true">
                                <path d="M10 18a8 8 0 1 1 0-16 8 8 0 0 1 0 16zM9 9a1 1 0 0 0 2 0V7a1 1 0 1 0-2 0v2zm0 4a1 1 0 1 0 2 0 1 1 0 0 0-2 0z"></path>
                                </svg></span></div><div class="hashErrorMessage">The field can not be empty</div>
                        </div>
                    </div>
                </div>

                </div>
                </div>
            </div>
        </div>

        <div class="rowNew hiddenDev">
            <div class="">
                <div class="Polaris-Labelled__LabelWrapper">
                <div class="Polaris-Label"><label id="PolarisTextField2Label" for="PolarisTextField2" class="Polaris-Label__Text">Order Id</label></div>
                </div>
                <div class="Polaris-Connected">
                <div class="Polaris-Connected__Item Polaris-Connected__Item--primary">
                    <div class="Polaris-TextField Polaris-TextField--hasValue"><input id="orderId" value="<?php echo $orderId; ?>"  class="Polaris-TextField__Input" aria-labelledby="PolarisTextField2Label" aria-invalid="false">
                    <div class="Polaris-TextField__Backdrop"></div>
                </div>

                <div class="orderValidationError">
                    <div class="Polaris-Labelled__Error">
                        <div id="PolarisTextField12Error" class="Polaris-InlineError">
                            <div class="Polaris-InlineError__Icon"><span class="Polaris-Icon"><svg viewBox="0 0 20 20" class="Polaris-Icon__Svg" focusable="false" aria-hidden="true">
                                <path d="M10 18a8 8 0 1 1 0-16 8 8 0 0 1 0 16zM9 9a1 1 0 0 0 2 0V7a1 1 0 1 0-2 0v2zm0 4a1 1 0 1 0 2 0 1 1 0 0 0-2 0z"></path>
                                </svg></span></div><div class="orderErrorMessage">The field can not be empty</div>
                        </div>
                    </div>
                </div>

                </div>
                </div>
            </div>
        </div>

        <div class="rowNew hiddenDev">
            <div class="">
                <div class="Polaris-Labelled__LabelWrapper">
                <div class="Polaris-Label"><label id="PolarisTextField2Label" for="PolarisTextField2" class="Polaris-Label__Text">allFutureOrders</label></div>
                </div>
                <div class="Polaris-Connected">
                <div class="Polaris-Connected__Item Polaris-Connected__Item--primary">
                    <div class="Polaris-TextField Polaris-TextField--hasValue"><input id="allFutureOrders" value="0" class="Polaris-TextField__Input" aria-labelledby="PolarisTextField2Label" aria-invalid="false">
                    <div class="Polaris-TextField__Backdrop"></div>
                </div>

                <div class="allValidationError">
                    <div class="Polaris-Labelled__Error">
                        <div id="PolarisTextField12Error" class="Polaris-InlineError">
                            <div class="Polaris-InlineError__Icon"><span class="Polaris-Icon"><svg viewBox="0 0 20 20" class="Polaris-Icon__Svg" focusable="false" aria-hidden="true">
                                <path d="M10 18a8 8 0 1 1 0-16 8 8 0 0 1 0 16zM9 9a1 1 0 0 0 2 0V7a1 1 0 1 0-2 0v2zm0 4a1 1 0 1 0 2 0 1 1 0 0 0-2 0z"></path>
                                </svg></span></div><div class="allErrorMessage">The field can not be empty</div>
                        </div>
                    </div>
                </div>

                </div>
                </div>
            </div>
        </div>

        <div class="rowNew">
            <div class="">
                <div class="Polaris-Labelled__LabelWrapper">
                <div class="Polaris-Label"><label id="PolarisTextField2Label" for="PolarisTextField2" class="Polaris-Label__Text">Comment</label></div>
                </div>
                <div class="Polaris-Connected">
                <div class="Polaris-Connected__Item Polaris-Connected__Item--primary">
                    <div class="Polaris-TextField Polaris-TextField--hasValue"><input id="comments" value="Please honor this cancellation request from Customer Service." class="Polaris-TextField__Input" aria-labelledby="PolarisTextField2Label" aria-invalid="false">
                    <div class="Polaris-TextField__Backdrop"></div>
                </div>

                <div class="commentsValidationError">
                    <div class="Polaris-Labelled__Error">
                        <div id="PolarisTextField12Error" class="Polaris-InlineError">
                            <div class="Polaris-InlineError__Icon"><span class="Polaris-Icon"><svg viewBox="0 0 20 20" class="Polaris-Icon__Svg" focusable="false" aria-hidden="true">
                                <path d="M10 18a8 8 0 1 1 0-16 8 8 0 0 1 0 16zM9 9a1 1 0 0 0 2 0V7a1 1 0 1 0-2 0v2zm0 4a1 1 0 1 0 2 0 1 1 0 0 0-2 0z"></path>
                                </svg></span></div><div class="commentsErrorMessage">The field can not be empty</div>
                        </div>
                    </div>
                </div>

                </div>
                </div>
            </div>
        </div>

        <div class="rowNew">
          <div style="--top-bar-background:#00848e; --top-bar-background-lighter:#1d9ba4; --top-bar-color:#f9fafb; --p-frame-offset:0px;">
              <button class="Polaris-Button Polaris-Button--primary" id="submit-endpoint-request" type="button">
                  <span class="Polaris-Button__Content">
                      <span class="Polaris-Button__Text">Submit Request</span>
                  </span>
              </button>
              <div id="PolarisPortalsContainer"></div>
          </div>
        </div>
        
        <?php if (!empty($returnData['errorMessage'])) { ?>
        <div>
            <div class="">
                <div class="Polaris-Labelled__Error">
                <div id="PolarisTextField12Error" class="Polaris-InlineError">
                    <div class="Polaris-InlineError__Icon"><span class="Polaris-Icon"><svg viewBox="0 0 20 20" class="Polaris-Icon__Svg" focusable="false" aria-hidden="true">
                        <path d="M10 18a8 8 0 1 1 0-16 8 8 0 0 1 0 16zM9 9a1 1 0 0 0 2 0V7a1 1 0 1 0-2 0v2zm0 4a1 1 0 1 0 2 0 1 1 0 0 0-2 0z"></path>
                        </svg></span></div><?php echo $returnData['errorMessage']; ?>
                </div>
                </div>
            </div>
        </div>
        <?php } ?>
        

        <div class="commonErrorMessage">
            <div class="Polaris-Labelled__Error">
            <div id="PolarisTextField12Error" class="Polaris-InlineError">
                <div class="Polaris-InlineError__Icon"><span class="Polaris-Icon"><svg viewBox="0 0 20 20" class="Polaris-Icon__Svg" focusable="false" aria-hidden="true">
                    <path d="M10 18a8 8 0 1 1 0-16 8 8 0 0 1 0 16zM9 9a1 1 0 0 0 2 0V7a1 1 0 1 0-2 0v2zm0 4a1 1 0 1 0 2 0 1 1 0 0 0-2 0z"></path>
                    </svg></span></div><div class="ErrorReason"></div>
            </div>
            </div>
        </div>

        <div class="successMessage"></div>

    </div>
</div>
</body>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('scripts'); ?>
    ##parent-placeholder-16728d18790deb58b3b8c1df74f06e536b532695##

    <script type="text/javascript">
        var AppBridge = window['app-bridge'];
        var actions = AppBridge.actions;
        var TitleBar = actions.TitleBar;
        var Button = actions.Button;
        var Redirect = actions.Redirect;
        var titleBarOptions = {
            title: '',
        };
        var myTitleBar = TitleBar.create(app, titleBarOptions);
    </script>

<script type="text/javascript" src="https://code.jquery.com/jquery-1.11.3.min.js"></script>
<script>

$('.hiddenDev').hide();
$('#submit-endpoint-request').on('click', function(e) {

    $('.commonErrorMessage').hide();
    $('.successMessage').hide();
    var hashValue = $('#customer_hash').val();
    hashValue = hashValue.trim();
    var orderId = $('#orderId').val();
    orderId = orderId.trim();
    var allFutureOrdersCount = $('#allFutureOrders').val();
    var comment = $('#comments').val();
    comment = comment.trim();

    if (!comment) {
        $('.commentsValidationError').show();
        return false;
    }
    $('.commentsValidationError').hide();
    var dataObj = {
        "token": hashValue,
        "orderId": orderId,
        "allFutureOrders": allFutureOrdersCount,
        "comments": comment
    }
    //console.log(dataObj);
    $('.overlay').show();
    $.ajax({
        method: 'POST',
        type: 'POST', // For jQuery < 1.9
        crossDomain: true,
        //url: 'https://dev80.p80w.com/Nurish/orderCancelRerouteTest.php',
        url: 'https://topaz.pharmavite.net/quiz/order/processOrderReroute';
        dataType: 'JSON',
        data: {"data":JSON.stringify(dataObj)},
        success: function(response){

            $('.overlay').hide();
            if (response.status == 200) {

                $('.successMessage').text('Successfully processed the order cancel request');
                $('.successMessage').show();
            } else {

                $('.errorReason').text('Failed to process the order cancel request');
                $('.commonErrorMessage').show();
            }
            
        }
    });
});

$('#comments').keypress(function() {

    $('.commentsValidationError').hide();
});
 
</script>
<?php $__env->stopSection(); ?>

</html>

<?php echo $__env->make('shopify-app::layouts.default', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/nurishp80w/public_html/staging/port80-customer-order-cancelation/resources/views/order.blade.php ENDPATH**/ ?>